package java8time;

import java.time.DayOfWeek;
import java.time.Duration;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.time.OffsetDateTime;
import java.time.ZoneId;
import java.time.ZoneOffset;
import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;

public class Java8DateTimeTest {
	public static boolean isMondayToFriday(){
		LocalDateTime now = LocalDateTime.now();
		DayOfWeek dayOfWeek = now.getDayOfWeek();
		System.out.println(dayOfWeek);
		if(dayOfWeek!=DayOfWeek.SATURDAY && dayOfWeek!=DayOfWeek.SUNDAY)
			return true;
		return false;
	}

	public static void main(String[] args) {
		LocalTime localTime = LocalTime.of(0, 0,0);//ʱ
		System.out.println(localTime);
		LocalDate localDate = LocalDate.of(1998, 10, 31);
		System.out.println(localDate);
		ZonedDateTime zonedDateTime = ZonedDateTime.of(localDate,localTime,ZoneId.of("Asia/Shanghai"));//ʱ
		System.out.println(zonedDateTime);
		
		System.out.println(zonedDateTime.toEpochSecond());////۵㵱ǰ
		System.out.println(zonedDateTime.toInstant());
		System.out.println(zonedDateTime.toInstant().toEpochMilli());//۵㵱ǰ
		
		System.out.println(LocalTime.now());//ǰʱ䣬ǰϵͳĬʱ
		System.out.println(LocalDate.now());//ǰڣǰϵͳĬʱ
		System.out.println(LocalDateTime.now());//ǰʱ䣬ǰϵͳĬʱ
		LocalDate nowDate = LocalDate.now();
		LocalTime nowTime = LocalTime.now();
		System.out.println(OffsetDateTime.of(nowDate, nowTime, ZoneOffset.UTC));//
		System.out.println(OffsetDateTime.now().toEpochSecond());
		
		System.out.println("Year, YearMonth, Month, MonthDay");
		
		System.out.println("TemporalAmount");
		String pattern = "E MM/dd/yyyy";
		System.out.println(LocalDate.of(1989, 9, 22).plusDays(5).plusMonths(6).plusWeeks(3).format(DateTimeFormatter.ofPattern(pattern)));
		
		System.out.println(isMondayToFriday());
		
		Duration thirtyDay = Duration.ofDays(30);
        System.out.println(thirtyDay.toString());
		
	}
}
